apiVersion: v1
kind: Template
labels:
  app: percona
  template: percona-buildconfig-with-secret
metadata:
  annotations:
    description: Percona - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: Percona
    tags: percona
  name: percona-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-percona-${PERCONA_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Percona images
    labels:
      name: percona-${PERCONA_REPOSITORY_REF}
    name: percona-${PERCONA_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 512Mi
    source:
      contextDir: /
      git:
        uri: ${PERCONA_REPOSITORY_URL}
        ref: "${PERCONA_REPOSITORY_REF}"
      sourceSecret:
        name: git-percona-${PERCONA_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: percona:${PERCONA_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: PERCONA_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: PERCONA_REPOSITORY_URL
  description: The URL of the repository with your Percona Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-percona.git
